package com.zcloud.service.electronicFence;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;
import java.util.Map;

/**
 * 说明：TODO
 * 作者：wangxuan
 * 官网：www.zcloudchina.com
 */
public interface ElectronicFenceService {
    List<PageData> list(Page page);

    void save(PageData pd);

    void edit(PageData pd);

    void removeByIds(PageData pd);

    PageData findById(PageData pd);

    List<Map<String, Object>> listTree(PageData pd);

    boolean hasChild(PageData pd);
}
